Repository: ambari
Updated Branches:
  refs/heads/branch-2.5 6e893251f -> 788b46698


AMBARI-19054 : Grafana failed to start at deployment (avijayan)


Project: http://git-wip-us.apache.org/repos/asf/ambari/repo
Commit: http://git-wip-us.apache.org/repos/asf/ambari/commit/788b4669
Tree: http://git-wip-us.apache.org/repos/asf/ambari/tree/788b4669
Diff: http://git-wip-us.apache.org/repos/asf/ambari/diff/788b4669

Branch: refs/heads/branch-2.5
Commit: 788b46698d20dc0942abd52d48c132d3f29e74b0
Parents: 6e89325
Author: Aravindan Vijayan <avija...@hortonworks.com>
Authored: Thu Dec 1 13:26:35 2016 -0800
Committer: Aravindan Vijayan <avija...@hortonworks.com>
Committed: Thu Dec 1 13:26:35 2016 -0800

----------------------------------------------------------------------
 .../ambari-metrics-grafana/conf/unix/ambari-metrics-grafana    | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/ambari/blob/788b4669/ambari-metrics/ambari-metrics-grafana/conf/unix/ambari-metrics-grafana
----------------------------------------------------------------------
diff --git 
a/ambari-metrics/ambari-metrics-grafana/conf/unix/ambari-metrics-grafana 
b/ambari-metrics/ambari-metrics-grafana/conf/unix/ambari-metrics-grafana
index 472942e..8a8ac8f 100644
--- a/ambari-metrics/ambari-metrics-grafana/conf/unix/ambari-metrics-grafana
+++ b/ambari-metrics/ambari-metrics-grafana/conf/unix/ambari-metrics-grafana
@@ -104,7 +104,7 @@ case "$1" in
 
     # Prepare environment
     # mkdir -p "$LOG_DIR" "$DATA_DIR" && chown 
"$GRAFANA_USER":"$GRAFANA_GROUP" "$LOG_DIR" "$DATA_DIR"
-    # touch "$PID_FILE" && chown "$GRAFANA_USER":"$GRAFANA_GROUP" "$PID_FILE"
+    touch "$PID_FILE" && chown "$GRAFANA_USER":"$GRAFANA_GROUP" "$PID_FILE"
 
     # if [ -n "$MAX_OPEN_FILES" ]; then
     #   ulimit -n $MAX_OPEN_FILES
@@ -116,10 +116,10 @@ case "$1" in
     return=$?
     if [ $return -eq 0 ]
     then
-      sleep 1
+      sleep 5
       # check if pid file has been written two
       if ! [[ -s $PID_FILE ]]; then
-        echo "Start FAILED" >> $LOG_FILE
+        echo "Start FAILED because daemon did not write pid in pid_file" >> 
$LOG_FILE
         exit 1
       fi
       i=0

Reply via email to